using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n= int.Parse(s[0]);
            int l = int.Parse(s[1]);
            int[] a = new int[n];
            string [] p = Console.ReadLine().Split();
            int k = -1;
            for(int i=0; i<n; i++)
            {
                a[i] = int.Parse(p[i]);
                if (a[i]<=l)
                {
                    k++;
                    int u = i + 1;
                    Console.WriteLine(u);
                    break;
                }
            }
            if(k==-1)
            {
                Console.WriteLine(k);
            }

        }
    }
}